-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Trion.Check = class(Wired.UI.Trion.Base);

function Wired.UI.Trion.Check:Constructor(name, parent)
  Wired.UI.Trion.Base.Constructor(self, name, parent);
  
  -- create base
  self:SetBase(UI.CreateFrame(
    Wired.UI.Trion.Base.Constants.Types.Check, self:GetName(), self:GetParent():GetBase())
  );
  
  -- defaults
  self:ApplyBaseDefaults();
end

-- checked
function Wired.UI.Trion.Check:GetChecked()
  return self:GetBase():GetChecked();
end

function Wired.UI.Trion.Check:SetChecked(value)
  self:GetBase():SetChecked(value);
end

-- enabled
function Wired.UI.Trion.Check:GetEnabled()
  return self:GetBase():GetEnabled();
end

function Wired.UI.Trion.Check:SetEnabled(value)
  self:GetBase():SetEnabled(value);
end
