-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.Utility.Command = class();

function Wired.Utility.Command:Constructor(application, command, description, link)
  
  -- wire
  Wire(self);
  
  -- parameters
  self:SetApplication(application);
  self:SetCommandManager(self:GetApplication());
  self:SetCommand(command);
  self:SetDescription(description);
  self:SetLink(link);
end

-- application
function Wired.Utility.Command:GetApplication()
  return self.application;
end

function Wired.Utility.Command:SetApplication(value)
  self.application = value;
end

-- commandManager
function Wired.Utility.Command:GetCommandManager()
  return self.commandManager;
end

function Wired.Utility.Command:SetCommandManager(value)
  self.commandManager = value;
end

-- command
function Wired.Utility.Command:GetCommand()
  return self.command;
end

function Wired.Utility.Command:SetCommand(value)
  self.command = value;
end

-- description
function Wired.Utility.Command:GetDescription()
  return self.description;
end

function Wired.Utility.Command:SetDescription(value)
  self.description = value;
end

-- link
function Wired.Utility.Command:GetLink()
  return self.link;
end

function Wired.Utility.Command:SetLink(value)
  self.link = value;
end

-- execute
function Wired.Utility.Command:Execute(value)
  if (type(self:GetLink()) == "function") then
    self:GetLink()(value);
  end
end
